
[![Build Status](https://travis-ci.com/ram-compbio/CANDO.svg?branch=master)](https://travis-ci.com/ram-compbio/CANDO)
[![codecov](https://codecov.io/gh/ram-compbio/CANDO/branch/master/graph/badge.svg)](https://codecov.io/gh/ram-compbio/CANDO)
[![Anaconda-Server Badge](https://anaconda.org/ram-compbio/cando/badges/version.svg)](https://anaconda.org/ram-compbio/cando)
[![Anaconda-Server Badge](https://anaconda.org/ram-compbio/cando/badges/license.svg)](https://anaconda.org/ram-compbio/cando)
[![Anaconda-Server Badge](https://anaconda.org/ram-compbio/cando/badges/downloads.svg)](https://anaconda.org/ram-compbio/cando)

# CANDO

Computational Analysis of Novel Drug Opportunities

---

## Background

CANDO is an unique and innovative multiscale therapeutic discovery, repurposing, and design platform.

For additional information, publications, and funding sources, please check out our [website](http://protinfo.compbio.buffalo.edu/cando/) or our [ACKNOWLEDGEMENTS](https://github.com/ram-compbio/CANDO/blob/master/ACKNOWLEDGEMENTS.md).

## Install

You may download the source code via the releases or cloning the git repository. However, we suggest using anaconda to install the CANDO package, as this is the easiest and quickest way to start using our platform! 

The CANDO package relies on multiple "conda-forge" dependencies. Therefore, we require that you add "conda-forge" to your anaconda channels: 

`conda config --add channels conda-forge`

Then you can install CANDO using the following command:

`conda install -c ram-compbio cando`


## Tutorial

There is a CANDO tutorial available as a Jupyter notebook.
This notebook can be found [here](https://github.com/ram-compbio/CANDO/blob/master/CANDO_tutorial.ipynb) in this repo.

It can also be downloaded from anaconda:

`anaconda download ram-compbio/CANDO_tutorial`


## Documentation

CANDO API can be found [here](https://github.com/ram-compbio/CANDO/blob/master/docs)


## Test

You can test your install by running our script:

[run_test.py](https://github.com/ram-compbio/CANDO/blob/master/run_test.py)
